Bug 16731 - Use INSERT IGNORE when inserting a syspref
Summary: Use INSERT IGNORE when inserting a syspref
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 10:36 UTC by Jonathan Druart
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16731: Use INSERT IGNORE when inserting a syspref (5.65 KB, patch)
2016-06-14 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16731: Use INSERT IGNORE when inserting a syspref (5.79 KB, patch)
2016-06-15 10:03 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 16731: Use INSERT IGNORE when inserting a syspref (5.86 KB, patch)
2016-06-19 11:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-06-14 10:36:27 UTC

    
Comment 1 Jonathan Druart 2016-06-14 10:38:46 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-06-15 10:03:09 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-06-19 11:54:33 UTC
Created attachment 52538 [details] [review]
[PASSED QA] Bug 16731: Use INSERT IGNORE when inserting a syspref

IGNORE should be used to allow backporting (and local patch)

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-06-24 12:03:18 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-08-01 11:51:39 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 12:48:01 UTC
Not needed in 3.22.x